Name:			os-collect-config
Version:		0.1.37
Release:		6%{?dist}
Summary:		Collect and cache metadata running hooks on changes

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:		http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz
Source1:		os-collect-config.service
Source2:		os-collect-config.conf

# patches_base=+1
Patch0001: 0001-Replace-assertEqual-None-with-assertIsNone-in-tests.patch
Patch0002: 0002-Switch-to-oslo.log.patch
Patch0003: 0003-Revert-Switch-to-oslo.log.patch
Patch0004: 0004-Switch-to-oslo.log-again.patch
Patch0005: 0005-Deprecated-tox-downloadcache-option-removed.patch
Patch0006: 0006-Updated-from-global-requirements.patch
Patch0007: 0007-Updated-from-global-requirements.patch
Patch0008: 0008-Updated-from-global-requirements.patch

BuildArch:		noarch
BuildRequires:		python-setuptools
BuildRequires:		python2-devel
BuildRequires:		systemd
BuildRequires:		python-pbr

Requires:		python-pbr
Requires:		python-setuptools
Requires:		python-argparse
Requires:		python-anyjson
Requires:		python-dogpile-cache
Requires:		python-eventlet
Requires:		python-heatclient
Requires:		python-keystoneclient
Requires:		python-requests
Requires:		python-iso8601
Requires:		python-lxml
Requires:		python-six
Requires:		python-oslo-config
Requires:		python-zaqarclient
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd

%description
Service to collect openstack heat metadata.

%prep

%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/os-collect-config.service
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/os-collect-config.conf

# Delete tests
rm -fr %{buildroot}%{python2_sitelib}/os_collect_config/tests

%post
%systemd_post os-collect-config.service

%preun
%systemd_preun os-collect-config.service

%postun
%systemd_postun os-collect-config.service

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-collect-config
%config(noreplace) %attr(-, root, root) %{_sysconfdir}/os-collect-config.conf
%{python2_sitelib}/os_collect_config*
%{_unitdir}/os-collect-config.service

%changelog
* Wed Jul 20 2016 Jason Joyce <jjoyce@redhat.com> 0.1.37-6
- Adding a fix for rhbz#1350489
- Patch from Steve Baker

* Mon Jun 27 2016 Mike Burns <mburns@redhat.com> 0.1.37-5
- don't restart os-collect-config on rpm update. rhbz#1350489

* Mon Jun 27 2016 Thierry Vignaud <<tvignaud@redhat.com>> 0.1.37-4
- Updated from global requirements
- Updated from global requirements
- Updated from global requirements

* Fri May 13 2016 Mike Burns <mburns@redhat.com> 0.1.37-3
- Deprecated tox -downloadcache option removed
- Switch to oslo.log again
- Revert "Switch to oslo.log"
- Switch to oslo.log
- Replace assertEqual(None, *) with assertIsNone in tests

* Tue Mar 08 2016 James Slagle <jslagle@redhat.com> 0.1.37-2
- Add Requires on python-zaqarclient

* Thu Feb 25 2016 James Slagle <jslagle@redhat.com> 0.1.37-1
- Update to 0.1.37

* Tue Oct 20 2015 James Slagle <jslagle@redhat.com> 0.1.36-4
- Add BuildRequires: python-pbr

* Tue Oct 20 2015 James Slagle <jslagle@redhat.com> 0.1.36-3
- Add Requires: python-pbr

* Tue Oct 20 2015 James Slagle <jslagle@redhat.com> 0.1.36-2
- Remove 0001-Remove-pbr-runtime-dependency-and-replace-with-build.patch

* Mon Oct 19 2015 James Slagle <jslagle@redhat.com> 0.1.36-1
- Update to upstream 0.1.36-1

* Fri Sep 12 2014 James Slagle <jslagle@redhat.com> 0.1.28-1
- Update to upstream 0.1.28
- Add requires on python-dogpile-cache

* Fri Sep 12 2014 James Slagle <jslagle@redhat.com> 0.1.21-1
- Update to upstream 0.1.21
- Add requires on python-heatclient

* Thu Sep 11 2014 James Slagle <jslagle@redhat.com> - 0.1.11-7
- Switch to rdopkg.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 25 2014 Steven Dake <sdake@redhat.com> - 0.1.11-5
- install a os-collect-config default conf file

* Mon Feb 24 2014 Steven Dake <sdake@redhat.com> - 0.1.11-4
- Make runtime version calculation instead of using python-pbr

* Thu Feb 20 2014 Steven Dake <sdake@redhat.com> - 0.1.11-3
- Added missing dependency python-anyjson
- Added missing build requires python-pbr

* Thu Feb 20 2014 Steven Dake <sdake@redhat.com> - 0.1.11-2
- Fixed missing dependency python-oslo-config
- Added cr after every changelog entry

* Wed Feb 19 2014 Steven Dake <sdake@redhat.com> - 0.1.11-1
- Update to version 0.1.11
- Add python2-devel build requires
- Add systemd for post/preun/postun buildrequires
- Add a systemd postun scriptlet
- Make setup quiet

* Tue Oct 15 2013 Lucas Alvares Gomes <lgomes@redhat.com> - 0.1.2-1
- Update to version 0.1.2

* Fri Sep 6 2013 Lucas Alvares Gomes <lgomes@redhat.com> - 0.0.1-1
- Initial version
